{% extends 'base/base.html' %}

{% block base_title %}
    Add a new tree
{% endblock %}

{% block base_content %}
    <div class="container jumbotron">
        <div>
            <h1>Add a new tree</h1>
            <div class="lead">
                The <span class="font-italic">PKD</span> algorithm is an adaptation of the <span class="font-italic">KD-Tree</span> algorithm who recursively splits the space of skills in two until a
                terminaison criterion is met (<span class="font-italic">number of splits</span>).
                <br>
            </div>
            <hr class="my-4">
        </div>

        <form method="post">
            {% csrf_token %}

            <div class="form-group">
                <label for="epsilon">Privacy budget (epsilon):</label>
                <input type="number" class="form-control" name="epsilon" step="0.1" value="{{ form.epsilon.value }}">
            </div>

            <div class="form-group">
                <label for="prof_max">Number of splits (tree depth):</label>
                <input type="number" class="form-control" name="prof_max" value="{{ form.prof_max.value }}">
            </div>

            <div class="form-group">
                <label for="bins">Number of bins of the histograms :</label>
                <input type="number" class="form-control" name="bins" value="{{ form.bins.value }}">
            </div>

            <div class="form-group" hidden>
                <label for="ratio">ratio :</label>
                <input type="number" class="form-control" name="ratio" value="{{ form.ratio.value }}">
            </div>

            <div class="form-group" hidden>
                <label for="ratio">Coalition :</label>
                <input type="number" class="form-control" name="coalition" value="{{ form.coalition.value }}">
            </div>

            {% if form.errors %}
                <div class="alert alert-danger">
                    {{ form.errors }}
                </div>
            {% endif %}


            <hr />
            <div>
                <button class="btn btn-primary">
                    Create (may take some time)
                </button>
                <button id="btn-reset" class="btn btn-secondary" type="reset">
                    Cancel
                </button>
            </div>
        </form>
    </div>
{% endblock %}